SSS_USERADD(8)

NAME
sss_useradd - create a new user

SYNOPSIS

sss_useradd [options] LOGIN

DESCRIPTION

sss_useradd creates a new user account using the values specified on the command line plus the default values from the system.

OPTIONS

-u,--uid UID
    Set the UID of the user to the value of UID. If not given, it is chosen automatically.

-c,--gecos COMMENT
    Any text string describing the user. Often used as the field for the user's full name.

-h,--home HOME_DIR
    The home directory of the user account. The default is to append the LOGIN name to /home and use that as the home directory. The base that is prepended before LOGIN is tunable with “user_defaults/baseDirectory” setting in sssd.conf.

-s,--shell SHELL
    The user's login shell. The default is currently /bin/bash. The default can be changed with “user_defaults/defaultShell” setting in sssd.conf.

-G,--groups GROUPS
    A list of existing groups this user is also a member of.

-m,--create-home
    Create the user's home directory if it does not exist. The files and directories contained in the skeleton directory (which can be defined with the -k option or in the config file) will be copied to the home directory.

-M,--no-create-home
    Do not create the user's home directory. Overrides configuration settings.

-k,--skel SKELDIR
    The skeleton directory, which contains files and directories to be copied in the user's home directory, when the home directory is created by sss_useradd.

    Special files (block devices, character devices, named pipes and unix sockets) will not be copied.

    This option is only valid if the -m (or --create-home) option is specified, or creation of home directories is set to TRUE in the configuration.

-Z,--selinux-user SELINUX_USER
    The SELinux user for the user's login. If not specified, the system default will be used.

-?,--help
    Display help message and exit.

THE LOCAL DOMAIN

In order to function correctly, a domain with “id_provider=local” must be created and the SSSD must be running.

The administrator might want to use the SSSD local users instead of traditional UNIX users in cases where the group nesting (see sss_groupadd(8)) is needed. The local users are also useful for testing and development of the SSSD without having to deploy a full remote server. The sss_user* and sss_group* tools use a local LDB storage to store users and groups.

SEE ALSO

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/